/* Reset */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: "Prompt", sans-serif;
    background: white;
    color: #222;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
}

.site-header {
    width: 100%;
    background: white;
    padding: 2.5rem 0 1.5rem;
}

.header-inner {
    display: flex;
    justify-content: space-between;
    align-items: center;

    max-width: 1200px;
    margin: 0 auto;
    padding: 0 3rem;
}

.logo img {
    width: 320px;
    height: auto;
    max-width: 100%;
}

.nav {
    display: flex;
    gap: 1.5rem;
}

.nav a {
    margin: 0;
    text-decoration: none;
    color: black;
    font-weight: 500;
    transition: color .2s;
}

.nav a:hover,
.nav a.active {
    color: #8E0303;
}

/* Main Container */
.container {
    max-width: 1200px;
    margin: 1.5rem auto;
    padding: 0 1rem;
}

.container a {
    color: #8E0303;
}

/* Masonry Grid */
.masonry {
    column-count: 3;
    column-gap: 1rem;
}
x
img {
    user-select: none;
    -webkit-user-drag: none;
}

/* Tablet */
@media (max-width: 900px) {
    .masonry {
        column-count: 2;
    }
}

.item {
    break-inside: avoid;
    margin-bottom: 1rem;
    border-radius: 10px;
    overflow: hidden;
}

.item img {
    width: 100%;
    display: block;
    border-radius: 10px;
}

/* Mobile */
@media (max-width: 600px) {

    .header-inner {
        flex-direction: column;
    }

    .logo {
        margin-bottom: 1rem;
    }

    .nav {
        display: flex;
        justify-content: center;
        gap: 2rem;
    }

    .nav a {
        margin: 0;
    }

    .masonry {
        column-count: 1;
    }
}

/* Footer */
.site-footer {
    margin-top: 3rem;
    padding: 0.9rem;
    text-align: center;
    background: white;
}

.socials a {
    margin: 0 0.5rem;
    display: inline-block;
}

.socials img {
    width: 24px;
    height: 24px;
    transition: opacity 0.2s;
}

.socials img:hover {
    opacity: 0.7;
}

.site-footer {
    margin-top: auto;
}

.site-footer p {
    font-size: 0.8rem;
}
